package com.fjhx.service.apply;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.apply.ApplyPurchase;
import com.fjhx.params.apply.ApplyPurchaseVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-28
 */
public interface ApplyPurchaseService extends BaseService<ApplyPurchase> {

    Page<ApplyPurchase> getPage(Map<String, Object> condition);

    void add(ApplyPurchaseVo applyPurchaseVo);

    void edit(ApplyPurchaseVo applyPurchaseVo);

    void delete(ApplyPurchaseVo applyPurchaseVo);

}
